import math
import random
import cocos

from cocos.scenes.transitions import *
from cocos.actions import *

from pyglet.window import key, mouse

import pyglet.media

from InputLayer import InputLayer
import Context
from Actors.Egg import Egg
from Actors.Bird import Bird

from Context import ActorBuildData, Animation, Z

from vec2d import Vec2d

import random


class Audio( cocos.layer.base_layers.Layer ):
    
    is_event_handler = True
    
    def __init__( self ):
        super( Audio, self ).__init__()

        self.active = False
        try:
            self.player = pyglet.media.Player()
            self.sounds = {}
            
            self.sounds["earnmoney"] = [pyglet.media.load("../data/sounds/coins.ogg", None, streaming=False)]
            self.sounds["love"] = [pyglet.media.load("../data/sounds/love0%d.wav" % x, None, streaming=False) for x in (1,2,3,4)]
            self.sounds["wolfhowl"] = [pyglet.media.load("../data/sounds/howl01.ogg", None, streaming=False)]
            self.sounds["wolfnom"] = [pyglet.media.load("../data/sounds/growlmunch01.ogg", None, streaming=False)]
            
            self.active = True
        except:
            print "You can't play or sounds :'("
        

    def playSound(self, sound):
        if self.active:
            random.choice( self.sounds[sound] ).play()
        
        
        